[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# LastDelimiter

Return the last occurrence of a set of delimiters in a string.

## Declaration

Source position: sysstrh.inc line 247

`function LastDelimiter(`
`const Delimiters: string;`
`const S: string`
`):SizeInt;`

## Description

LastDelimiter returns the last occurrence of any character in the set Delimiters in the string S.

## Example

    Program example88;

    { This program demonstrates the LastDelimiter function }

    uses SysUtils;

    begin
      Writeln(LastDelimiter('\.:','c:\filename.ext'));
    end.